=== debian/changelog ===
ros-foxy-rviz-default-plugins (8.2.8-1focal) focal; urgency=high

  * Delete frame_locked_markers when reusing marker (#907 <https://github.com/ros2/rviz/issues/907>) (#912 <https://github.com/ros2/rviz/issues/912>)
  * Contributors: mergify[bot], Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.7-1focal) focal; urgency=high

  * Make Axes display use latest transform (#892 <https://github.com/ros2/rviz/issues/892>) (#904 <https://github.com/ros2/rviz/issues/904>)
  * Set error status when duplicate markers are in the same MarkerArray (#891 <https://github.com/ros2/rviz/issues/891>) (#901 <https://github.com/ros2/rviz/issues/901>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.6-1focal) focal; urgency=high

  * Add underscores to material names (#811 <https://github.com/ros2/rviz/issues/811>) (#824 <https://github.com/ros2/rviz/issues/824>)
  * Export Qt5 dependencies properly (#687 <https://github.com/ros2/rviz/issues/687>) (#822 <https://github.com/ros2/rviz/issues/822>)
  * Change image display to not rely on TF (#781 <https://github.com/ros2/rviz/issues/781>)
  * Contributors: Cory Crean, Helen Oleynikova, Jacob Perron, Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.4-1focal) focal; urgency=high

  * Fixed crash when changing rendering parameters for pointcloud2 while 'Selectable' box is unchecked (#768 <https://github.com/ros2/rviz/issues/768>) (#770 <https://github.com/ros2/rviz/issues/770>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.3-1focal) focal; urgency=high

  * YUV to RGB changes (#732 <https://github.com/ros2/rviz/issues/732>)
  * Export InteractiveMarker (#728 <https://github.com/ros2/rviz/issues/728>)
  * Contributors: Akash, cturcotte-qnx

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.2-1focal) focal; urgency=high

  * Make the types explicit in quaternion_helper.hpp. (#625 <https://github.com/ros2/rviz/issues/625>) (#673 <https://github.com/ros2/rviz/issues/673>)
    all calculations to floats.
  * Contributors: Louise Poubel

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.1-1focal) focal; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>) (#626 <https://github.com/ros2/rviz/issues/626>)
  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * Do not use assume every RenderPanel has a ViewController. (#613 <https://github.com/ros2/rviz/issues/613>) (#615 <https://github.com/ros2/rviz/issues/615>)
  * [foxy-backport] fast forward of ros2 (default) to foxy (#570 <https://github.com/ros2/rviz/issues/570>)
    * restore compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
    * Suppress warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
    * Don't try to moc generate env_config.hpp file. (#550 <https://github.com/ros2/rviz/issues/550>)
    This removes one more warning from rviz_common builds.
    * rewrite hack to avoid CMake warning with assimp 5.0.1 and older, apply cross platform (#565 <https://github.com/ros2/rviz/issues/565>)
    * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>)
    * restore alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
    * Don't install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Jacob Perron, Michael Jeronimo, Michel Hidalgo, William Woodall, Chen Lihui, Dirk Thomas, Chris Lalancette, ymd-stella
    Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Changed to use a dedicated TransformListener thread. (#551 <https://github.com/ros2/rviz/issues/551>)
  * Suppressed warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
  * Restored compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
  * Contributors: Chris Lalancette, Dirk Thomas, ymd-stella

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.1.1-1focal) focal; urgency=high

  * avoid absolute OGRE path in exported targets (#558 <https://github.com/ros2/rviz/issues/558>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.0.3-1focal) focal; urgency=high

  * Fixed deprecated Qt usage. (#555 <https://github.com/ros2/rviz/issues/555>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.0.2-1focal) focal; urgency=high

  * Removed rviz_default_plugins dependency on TinyXML (#531 <https://github.com/ros2/rviz/issues/531>)
    This clears the way for urdf to switch to TinyXML2

