=== debian/control ===
Source: ros-foxy-rviz-default-plugins
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-index-cpp <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-interactive-markers, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-resource-retriever, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-rviz-rendering, ros-foxy-rviz-rendering-tests <!nocheck>, ros-foxy-rviz-visual-testing-framework <!nocheck>, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tinyxml-vendor, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-foxy-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-foxy-geometry-msgs, ros-foxy-interactive-markers, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-resource-retriever, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-rviz-rendering, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tinyxml-vendor, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.
